FruxonDocs
ApiEmbed configs

Lists the agent's embed configs.

Each row includes its publishable key, allowed origins, enabled state, and presentation.

GET
/v1/tenants/{tenant}/agents/{agent}/embedConfigs
AuthorizationBearer <token>

JWT Authorization header using the Bearer scheme. Enter 'Bearer' [space] and then your token.

In: header

Path Parameters

agent*string

The agent identifier.

tenant*string

The tenant identifier

Query Parameters

PageSize?integer

The maximum number of items to return per page

Formatint32
PageToken.Skip?integer
Formatint32
PageToken.Cursor?string

Opaque cursor token from an external system (e.g. RAG API). When set, M:Fruxon.Common.Collections.PageToken.AsString returns this value directly instead of encoding Fruxon.Common.Collections.PageToken.Skip.

Response Body

curl -X GET "https://api.fruxon.com/v1/tenants/string/agents/string/embedConfigs"
{
  "items": [
    {
      "id": "string",
      "agentId": "string",
      "key": "string",
      "enabled": false,
      "allowedOrigins": [
        "string"
      ],
      "greeting": "string",
      "suggestedPrompts": [
        "string"
      ],
      "themeJson": "string",
      "createdAt": 0,
      "modifiedAt": 0
    }
  ],
  "nextPageToken": "string",
  "totalCount": 0
}
Empty
Empty
{
  "type": "string",
  "title": "string",
  "status": 0,
  "detail": "string",
  "instance": "string",
  "property1": null,
  "property2": null
}